Subject: Ticket Assigned - High chair order
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 17 Jul 2021 03:34:23 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  High chair order Hi!

I would like to complain since my order was not delivered. The courier
purposely missed me because they contacted me asking for my location and
yet it was not delivered. I understand i put the wrong area and I already
explained to them and gave them the correct address but still they did not
deliver it to me.

Sincerely,
Christine Cabalquinto

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2869273